# azure.mgmt.eventgrid package

## Submodules

- azure.mgmt.eventgrid.models module
- azure.mgmt.eventgrid.operations module

## Module contents

class `azure.mgmt.eventgrid.``EventGridManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Azure EventGrid Management Client

  Variables:

  - config (EventGridManagementClientConfiguration) – Configuration for client.
  - domains (azure.mgmt.eventgrid.operations.DomainsOperations) – Domains operations
  - domain_topics (azure.mgmt.eventgrid.operations.DomainTopicsOperations) – DomainTopics operations
  - event_subscriptions (azure.mgmt.eventgrid.operations.EventSubscriptionsOperations) – EventSubscriptions operations
  - operations (azure.mgmt.eventgrid.operations.Operations) – Operations operations
  - topics (azure.mgmt.eventgrid.operations.TopicsOperations) – Topics operations
  - topic_types (azure.mgmt.eventgrid.operations.TopicTypesOperations) – TopicTypes operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Subscription credentials that uniquely identify a Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL

class `azure.mgmt.eventgrid.``EventGridManagementClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for EventGridManagementClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Subscription credentials that uniquely identify a Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL